Bug 1423080 - LuxRender: FTBFS in rawhide
Summary: LuxRender: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1424580
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 02:28 UTC by Fedora Release Engineering
Modified: 2017-04-01 17:31 UTC (History)
6 users (show)

Fixed In Version: LuxRender-1.6-13.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:31:39 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.12 KB, text/plain)
2017-02-17 02:28 UTC, Fedora Release Engineering
no flags Details
root.log (70.64 KB, text/plain)
2017-02-17 02:28 UTC, Fedora Release Engineering
no flags Details
state.log (469 bytes, text/plain)
2017-02-17 02:28 UTC, Fedora Release Engineering
no flags Details
Patch to compile with g++ 7 (700 bytes, patch)
2017-03-24 14:21 UTC, Mamoru TASAKA
no flags Details | Diff

Description Fedora Release Engineering 2017-02-17 02:28:15 UTC
Your package LuxRender failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17647456

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 02:28:20 UTC
Created attachment 1251010 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 02:28:24 UTC
Created attachment 1251011 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 02:28:27 UTC
Created attachment 1251012 [details]
state.log

Comment 4 Jonathan Wakely 2017-02-17 11:32:50 UTC
Failed deps due to OpenImageIO:

DEBUG util.py:435:  Error: nothing provides libboost_system.so.1.60.0()(64bit) needed by OpenImageIO-1.7.10-1.fc26.x86_64

OpenImageIO is FTBFS because it uses -Werror

Comment 5 Fedora End Of Life 2017-02-28 11:19:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Mamoru TASAKA 2017-03-24 14:21:42 UTC
Created attachment 1266117 [details]
Patch to compile with g++ 7

So build on F-25 is okay, but fails on F-26 and F-27 as below:

In file included from /builddir/build/BUILD/luxrender-lux-b3f85cf7742f/qtgui/colorspacewidget.cpp:30:0:
/builddir/build/BUILD/luxrender-lux-b3f85cf7742f/qtgui/mainwindow.hxx: In copy constructor 'QMRUListModel<T>::QMRUListModel(const QMRUListModel<T>&)':
/builddir/build/BUILD/luxrender-lux-b3f85cf7742f/qtgui/mainwindow.hxx:138:87: error: no matching function for call to 'QMRUListModel<T>::parent() const'
   : maxCount(other.maxCount), mruList(other.mruList), QAbstractListModel(other.parent()) { }
                                                                                       ^
In file included from /usr/include/QtCore/QAbstractListModel:1:0,
                 from /builddir/build/BUILD/luxrender-lux-b3f85cf7742f/qtgui/mainwindow.hxx:26,
                 from /builddir/build/BUILD/luxrender-lux-b3f85cf7742f/qtgui/colorspacewidget.cpp:30:
/usr/include/QtCore/qabstractitemmodel.h:381:17: note: candidate: virtual QModelIndex QAbstractListModel::parent(const QModelIndex&) const
     QModelIndex parent(const QModelIndex &child) const;
                 ^~~~~~
/usr/include/QtCore/qabstractitemmodel.h:381:17: note:   candidate expects 1 argument, 0 provided

This is:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/LJHD7ML32SYVZB7IVNPM7TVE2G5BII2N/
i.e. now g++7 emits a error when template is broken even if such template is not actually used.

For now just removing such actually-unused template makes LuxRender compile on F-26 and F-27:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18566112
https://koji.fedoraproject.org/koji/taskinfo?taskID=18569397

The above scratch F-26 build works for me.

Comment 7 Luya Tshimbalanga 2017-03-24 20:06:35 UTC
(In reply to Mamoru TASAKA from comment #6)
> For now just removing such actually-unused template makes LuxRender compile
> on F-26 and F-27:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=18566112
> https://koji.fedoraproject.org/koji/taskinfo?taskID=18569397
> 
> The above scratch F-26 build works for me.

Feel free to update LuxRender with the patch for both F26 and F27. Should you wish to submit update, add ispc and embree on the list as dependant.

Thanks Mamoru.

Comment 8 Mamoru TASAKA 2017-03-25 05:25:52 UTC
Now building.

By the way, I merged branches' commit to ease source management across branches because f24/f25/f26/master branch actually had the same content:

http://pkgs.fedoraproject.org/cgit/rpms/LuxRender.git/log/

Comment 9 Mamoru TASAKA 2017-03-25 05:29:43 UTC
(In reply to Mamoru TASAKA from comment #8)
> Now building.
> 
> By the way, I merged branches' commit to ease source management across
> branches because f24/f25/f26/master branch actually had the same content:
> 
> http://pkgs.fedoraproject.org/cgit/rpms/LuxRender.git/log/

As a result, you may see lots of commit messages, however you can safely ignore them.

Comment 10 Fedora Update System 2017-03-25 09:28:25 UTC
LuxRender-1.6-13.fc26 ispc-1.9.1-11.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a10331aece

Comment 11 Fedora Update System 2017-03-25 09:28:36 UTC
embree-2.15.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8c46b4799f

Comment 12 Mamoru TASAKA 2017-03-25 09:51:12 UTC
(In reply to Fedora Update System from comment #10)
> LuxRender-1.6-13.fc26 ispc-1.9.1-11.fc26 has been submitted as an update to
> Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a10331aece

I edited this correctly.

Comment 13 Fedora Update System 2017-03-26 00:40:05 UTC
LuxRender-1.6-13.fc26, embree-2.15.0-1.fc26, ispc-1.9.1-11.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a10331aece

Comment 14 Luya Tshimbalanga 2017-03-26 06:25:53 UTC
(In reply to Mamoru TASAKA from comment #9)
> (In reply to Mamoru TASAKA from comment #8)
> > Now building.
> > 
> > By the way, I merged branches' commit to ease source management across
> > branches because f24/f25/f26/master branch actually had the same content:
> > 
> > http://pkgs.fedoraproject.org/cgit/rpms/LuxRender.git/log/
> 
> As a result, you may see lots of commit messages, however you can safely
> ignore them.

It is all good.

Comment 15 Fedora Update System 2017-03-28 08:04:47 UTC
LuxRender-1.6-13.fc26 embree-2.15.0-2.fc26 ispc-1.9.1-11.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a10331aece

Comment 16 Fedora Update System 2017-03-28 17:53:31 UTC
LuxRender-1.6-13.fc26, embree-2.15.0-2.fc26, ispc-1.9.1-11.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a10331aece

Comment 17 Fedora Update System 2017-04-01 17:31:39 UTC
LuxRender-1.6-13.fc26, embree-2.15.0-2.fc26, ispc-1.9.1-11.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.